Skip to main content
GET
/
api
/
v1
/
leads
cURL
curl --request GET \
  --url https://api.capedigital.co.ke/commercial/api/v1/leads \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "contact_person": "<string>",
      "contact_phone": "<string>",
      "contact_email": "jsmith@example.com",
      "lead_category": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "products": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "status": "<string>",
      "node": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "reference": "<string>",
      "partner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Query Parameters

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"